#include <iostream>
#include <map>
#include <vector>
#include <string>
#include "item.h"
#include "parser.h"

using namespace std;
using namespace item;
using namespace parser;

int main(int argc, char **argv) {
    if(argc < 2) {
        cout << "no files given" << endl;
        return -1;
    }

    map<string, Item *> all;
    vector<InputItem *> in;
    vector<OutputItem *> out;
    vector<ConnectedItem *> logic;

    try {
        Parser aluParser(argv[1], all, in, out, logic);
    }
    catch (...) {
        cout << "all bad\n";
    }

    return 0;
}
