#ifndef ITEM_H
#define ITEM_H

#include <string>

using namespace std;

namespace item {
    class Item {
    public:
        string id;
        Item(string &itemId) {
            id = itemId;
            cout << id << " created" << endl;
        }
    };

    class InputItem: public Item {
        public:
        InputItem(string &itemId): Item(itemId) {}
    };

    class ConnectedItem: public Item {
        public:
        ConnectedItem(string &itemId): Item(itemId) {}
    };

    class LogicItem: public ConnectedItem{
        public:
        LogicItem(string &itemId): ConnectedItem(itemId) {}
    };

    class MultiplexerItem: public ConnectedItem {
        public:
        MultiplexerItem(string &itemId): ConnectedItem(itemId) {}
    };

    class OutputItem: public ConnectedItem {
        public:
        OutputItem(string &itemId): ConnectedItem(itemId) {}
    };
}

#endif
